
public class Class520 {

   public Class551 aClass551_7133;
   public Interface55 anInterface55_7134;
   public Interface55 anInterface55_7135;
   public Interface55 anInterface55_7136;
   public Interface55 anInterface55_7137;
   public Class551 aClass551_7138;
   public Class551 aClass551_7139;
   public int anInt7140;
   public int anInt7141;
   public boolean aBool7142;
   static long aLong7143;


   void method10984(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         if(1 == var2) {
            this.anInterface55_7137 = Class106.method2166(var1, -211726339);
         } else if(var2 == 2) {
            this.anInterface55_7134 = Class106.method2166(var1, 1609015627);
         } else if(3 == var2) {
            this.anInterface55_7135 = Class106.method2166(var1, 1740493121);
         } else if(4 == var2) {
            this.anInterface55_7136 = Class106.method2166(var1, -270708026);
         } else if(var2 == 5) {
            this.aClass551_7138 = Class255.method4616(var1, (byte)111);
         } else if(var2 == 6) {
            this.aClass551_7133 = Class255.method4616(var1, (byte)86);
         } else if(7 == var2) {
            this.aClass551_7139 = Class255.method4616(var1, (byte)82);
         } else if(var2 == 8) {
            Class106.method2166(var1, 540723794);
         } else if(9 == var2) {
            Class106.method2166(var1, 715402083);
         } else if(var2 == 10) {
            Class106.method2166(var1, 1093085443);
         } else if(11 == var2) {
            this.aBool7142 = true;
         } else if(var2 == 12) {
            this.anInt7140 = var1.readInt_(-298499508) * -1676237067;
         } else if(13 == var2) {
            this.anInt7141 = var1.readInt_(1759031622) * 1188743735;
         }
      }
   }

   public Class520(Class253 var1) {
      byte[] var2 = var1.method4512(Class537.aClass537_7297.anInt7300 * -1281620235, 749605384);
      this.method10985(new RS2Buffer(var2), -1625796245);
   }

   void method10985(RS2Buffer var1, int var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(0 == var3) {
            return;
         }

         if(1 == var3) {
            this.anInterface55_7137 = Class106.method2166(var1, -300518186);
         } else if(var3 == 2) {
            this.anInterface55_7134 = Class106.method2166(var1, 1455486471);
         } else if(3 == var3) {
            this.anInterface55_7135 = Class106.method2166(var1, 775786490);
         } else if(4 == var3) {
            this.anInterface55_7136 = Class106.method2166(var1, 2049980604);
         } else if(var3 == 5) {
            this.aClass551_7138 = Class255.method4616(var1, (byte)126);
         } else if(var3 == 6) {
            this.aClass551_7133 = Class255.method4616(var1, (byte)34);
         } else if(7 == var3) {
            this.aClass551_7139 = Class255.method4616(var1, (byte)105);
         } else if(var3 == 8) {
            Class106.method2166(var1, 1635318389);
         } else if(9 == var3) {
            Class106.method2166(var1, 1942507664);
         } else if(var3 == 10) {
            Class106.method2166(var1, 602234131);
         } else if(11 == var3) {
            this.aBool7142 = true;
         } else if(var3 == 12) {
            this.anInt7140 = var1.readInt_(-1034231901) * -1676237067;
         } else if(13 == var3) {
            this.anInt7141 = var1.readInt_(483794331) * 1188743735;
         }
      }
   }

   static final void method10986(boolean var0, Class508 var1, int var2) {
      int var3 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807];
      Class124 var4 = Class97.method1903(var3, -499237835);
      Class121 var5 = Class18.aClass121Array188[var3 >> 16];
      if(var0) {
         Class451.method7554(var5, var4, -16711936);
      } else {
         Class28.method836(var5, var4, 1747510820);
      }

   }

   static final void method10987(Class124 var0, Class121 var1, Class508 var2, short var3) {
      var0.aBool1407 = var2.anIntArray6027[(var2.anInt6003 -= 98312473) * -937710807] == 1;
      Class460.method7767(var0, 413646198);
   }

   static final void method10988(Class508 var0, short var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -2058796765);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class119.method2326(var3, var4, false, 0, var0, (byte)118);
   }

   static final void method10989(Class508 var0, short var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub25_8505.method7808(var2, 1943750863);
   }

   static final void method10990(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub27_8475.method7808(var2, 28468067);
   }

   public static void method10991(int var0, int var1, byte var2) {
      Class225_Sub14_Sub2 var3 = Class49.method1193(19, (long)var1 << 32 | (long)var0);
      var3.method15501(1915657492);
   }
}
